You are viewing a plain text version of this content. The canonical link for it is here.
Posted to dev@sdap.apache.org by GitBox <gi...@apache.org> on 2018/09/11 22:31:53 UTC

[GitHub] fgreg closed pull request #12: SDAP-140 Failing jobs report as successful

fgreg closed pull request #12: SDAP-140 Failing jobs report as successful
URL: https://github.com/apache/incubator-sdap-ningester/pull/12
 
 
   

This is a PR merged from a forked repository.
As GitHub hides the original diff on merge, it is displayed below for
the sake of provenance:

As this is a foreign pull request (from a fork), the diff is supplied
below (as it won't show otherwise due to GitHub magic):

diff --git a/docker/entrypoint.sh b/docker/entrypoint.sh
index 32f2a8f..973d585 100755
--- a/docker/entrypoint.sh
+++ b/docker/entrypoint.sh
@@ -16,7 +16,7 @@
 
 # Exit immediately if a simple command returns non-zero exit code
 # Cause the status of terminated background jobs to be reported immediately.
-set -eb
+set -ebx
 # With pipefail, the return status of a pipeline is "the value of the last (rightmost) command to exit with a non-zero status, or zero if all commands exit successfully"
 set -o pipefail
 
@@ -61,4 +61,7 @@ fi
 
 echo "Launching ningester. Logs from this process will be prefixed with [ningester]"
 java -Dspring.profiles.active=$1 -Dspring.config.location=classpath:/application.yml,${CONFIG_FILES} -jar ${NINGESTER_JAR} granule=file://${GRANULE} ${@:2} --ningester.pythonChainProcessor.base_url="http://${NINGESTER_PY_SERVER_NAME}/" 2>&1 | sed -e 's/^/[ningester] /'
+JAVA_EXIT_CODE=$?
 
+echo "Exiting with code ${JAVA_EXIT_CODE}"
+exit ${JAVA_EXIT_CODE}
diff --git a/src/main/java/org/apache/sdap/ningester/NingesterApplication.java b/src/main/java/org/apache/sdap/ningester/NingesterApplication.java
index 88071b1..2ae6b2b 100644
--- a/src/main/java/org/apache/sdap/ningester/NingesterApplication.java
+++ b/src/main/java/org/apache/sdap/ningester/NingesterApplication.java
@@ -26,6 +26,6 @@
     public static void main(String[] args) {
 
         ApplicationContext context = SpringApplication.run(NingesterApplication.class, args);
-        SpringApplication.exit(context);
+        System.exit(SpringApplication.exit(context));
     }
 }


 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services